For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardMint Website
  • Getting Started
    • Overview
    • Choose an Integration Path
    • React SDK Quickstart
    • Backend Payment Creation
    • Hosted Payments
  • Reference
    • React SDK Reference
  • API Reference
      • POSTPost V 1 Payments
      • GETGet V 1 Payments Payment Id
      • POSTPost V 1 Payments Crypto Pay Payment Id
      • GETGet V 1 Payments Crypto Pay Payment Id Payer Address Options
      • POSTPost V 1 Payments Payment Id Confirm
LogoLogo
DashboardMint Website
API ReferencePayments

Post V 1 Payments Crypto Pay Payment Id

POST
https://api.getmint.money/v1/payments/crypto-pay/:paymentId
POST
/v1/payments/crypto-pay/:paymentId
1const url = 'https://api.getmint.money/v1/payments/crypto-pay/paymentId';
2const options = {
3 method: 'POST',
4 headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
5 body: '{"sendingAddress":"string","routing":{"type":"direct","source":{"token":"string","chain":"string"}}}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
201Created
1{
2 "data": {
3 "payment_id": "string",
4 "amount": 1.1,
5 "amount_formatted": 1.1,
6 "expires_at": "2024-01-15T09:30:00Z",
7 "settlement_token_address": "string",
8 "settlement_config": {
9 "chain": "string",
10 "asset": "string",
11 "asset_name": "string",
12 "chain_name": "string",
13 "asset_id": "string",
14 "chain_hex": "string",
15 "logo_url": "string",
16 "chain_logo_url": "string"
17 },
18 "destination_address": "string",
19 "created_at": "2024-01-15T09:30:00Z",
20 "updated_at": "2024-01-15T09:30:00Z",
21 "required_confirmations": 1.1,
22 "routing": {
23 "type": "direct",
24 "source": {
25 "token": "string",
26 "chain": "string"
27 }
28 }
29 },
30 "meta": {
31 "total": 1.1,
32 "offset": 1.1,
33 "limit": 1.1
34 },
35 "error": "string",
36 "status": 200
37}
Add attempt to pay for a payment using cryptocurrency
Was this page helpful?
Previous

Get V 1 Payments Crypto Pay Payment Id Payer Address Options

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

paymentIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
sendingAddressstringRequired
routingobjectRequired
required_confirmationsdoubleOptional

Response

Default Response
dataobject
metaobject or null
errorstring or null
statusdoubleDefaults to 200